<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mmenu extends CI_Model
{

    public $table = 'P_MENU';
    public $id = 'KODE_MENU';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function json()
    {
        $this->datatables->select("KODE_MENU,NAMA_MENU,PARENT,ACTIVE");
        $this->datatables->from("PV_MENU");
        //add this line for join
        //$this->datatables->join('table2', 'p_menu.field = table2.field');
        $this->datatables->add_column('action', '<div class="btn-group">' . anchor(site_url('menu/update/$1'), '<i class="fa fa-edit"></i>', 'class="btn btn-xs btn-success"') . anchor(site_url('menu/delete/$1'), '<i class="fa fa-trash"></i>', 'class="btn btn-xs btn-danger" onclick="javasciprt: return confirm(\'Apakah anda yakin?\')"') . '</div>', 'KODE_MENU');
        return $this->datatables->generate();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        $this->db->like('kode_menu', $q);
        $this->db->or_like('nama_menu', $q);
        $this->db->or_like('link_menu', $q);
        $this->db->or_like('parent_menu', $q);
        $this->db->or_like('sort_menu', $q);
        $this->db->or_like('icon_menu', $q);
        $this->db->or_like('active', $q);
        $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('kode_menu', $q);
        $this->db->or_like('nama_menu', $q);
        $this->db->or_like('link_menu', $q);
        $this->db->or_like('parent_menu', $q);
        $this->db->or_like('sort_menu', $q);
        $this->db->or_like('icon_menu', $q);
        $this->db->or_like('active', $q);
        $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }
}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */
